# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
%global cpan_name DateTime-Format-Duration
%global postversion a

Name:           perl-%{cpan_name}
Version:        1.03
Release:        alt1_1.%{postversion}
Summary:        Format and parse DateTime::Durations
# Old FSF address reported to upstream as CPAN RT #82055
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{cpan_name}/
Source0:        http://www.cpan.org/modules/by-module/DateTime/%{cpan_name}-%{version}%{postversion}.tgz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(DateTime.pm)
BuildRequires:  perl(DateTime/Duration.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Params/Validate.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(Test/Pod.pm)
Requires:       perl(Data/Dumper.pm)
Requires:       perl(DateTime.pm) >= 0.30
Source44: import.info

%description
This module formats and parses DateTime::Duration objects as well as other
durations representations.


%prep
%setup -q -n %{cpan_name}-%{version}
find -type f -exec chmod -x {} +
for F in Changes; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.utf"
    touch -r "$F" "${F}.utf"
    mv "${F}.utf" "$F"
done

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.03-alt1_1.a
- initial fc import

